Index: trunk/CONFIG/GYRE/EXP00/namelist
===================================================================
--- trunk/CONFIG/GYRE/EXP00/namelist	(revision 889)
+++ trunk/CONFIG/GYRE/EXP00/namelist	(revision 907)
@@ -1,7 +1,27 @@
-!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
-! OPA namelist :  model option and parameter input
-! -------------
-!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
-!
+!!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
+!! NEMO/OPA  :       1 - run manager      (namrun, nam_ctl, nam_mpp, nam_mpp_dyndist, nam_ctl)
+!! namelists         2 - Domain           (nam_zgr, nam_zgr_sco, namdom)
+!!                   3 - Surface boundary (namsbc, namsbc_ana, namsbc_flx, namsbc_clio, namsbc_core
+!!                                         namsbc_cpl, namqsr, namsbc_rnf, namsbc_ssr, namalb)
+!!                   4 - lateral boundary (namlbc, namcla, namobc)
+!!                   5 - bottom  boundary (nambfr, nambbc, nambbl)
+!!                   6 - Tracer           (nameos, nam_traadv, nam_traldf, namtdp)
+!!                   7 - dynamics         (nam_dynadv, nam_dynvor, nam_dynhpg, namflg, nam_dynspg, nam_dynldf)
+!!                   8 - Verical physics  (namzdf, namnpc, namric, namtke, namkpp, namddm)
+!!                   9 - diagnostics      (namtrd, namgap, namspr, namflo, namptr)
+!!                   9 - miscellaneous    (namsol)
+!!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
+!  CAUTION: some scripts does not support CAPITALs for logical definition 
+!  *******       use .true. or .false. and NOT .TRUE. or .FALSE.
+
+!!======================================================================
+!!                   ***  Run management namelists  ***
+!!======================================================================
+!!   namrun            parameters of the run
+!!   nam_mpp           Massively Parallel Processing
+!!   nam_mpp_dyndist   
+!!   nam_ctl           Control prints & Benchmark
+!!======================================================================
+
 !-----------------------------------------------------------------------
 !       namrun   parameters of the run
@@ -10,10 +30,9 @@
 !  cexper     experience name for vairmer format
 !  ln_rstart  boolean term for restart (true or false)
-!  nrstdt     control of the restart timestep:
-!                = 0 restart, do not control nit000 in the restart file.
-!                = 1 restart, control nit000 in the restart file. Do not
-!                    use the date in the restart file (use ndate0 in namelist)
-!                = 2 restart, control nit000 in the restart file, use the date
-!                    in the restart file. ndate0 in the namelist is ignored.
+!  nrstdt     restart control = 0 restart, do not control nit000 in the restart file.
+!             !               = 1 restart, control nit000 in the restart file. Do not
+!             !                   use the date in the restart file (use ndate0 in namelist)
+!             !               = 2 restart, control nit000 in the restart file, use the date
+!             !                   in the restart file. ndate0 in the namelist is ignored.
 !  nit000     number of the first time step
 !  nitend     number of the last time step
@@ -24,8 +43,4 @@
 !  nwrite     frequency of OUTPUT file
 !  ln_dimgnnn (F/T) 1 DIMG file - (for all proc/per proc)
-!
-!  CAUTION: for usual run scripts, logical value of
-!  *******  ln_rstart must be .true. or .false.
-!                     and NOT .TRUE. or .FALSE.
 &namrun
    no         =       0
@@ -40,5 +55,26 @@
    nstock     =    4320 
    nwrite     =      60 
-   ln_dimgnnn = .FALSE.
+   ln_dimgnnn = .false.
+/
+!-----------------------------------------------------------------------
+!       nam_mpp      Massively Parallel Processing
+!-----------------------------------------------------------------------
+!  c_mpi_send         mpi send/recieve type
+!                      = 'S'  : standard blocking send
+!                      = 'B'  : buffer blocking send
+!                      = 'I'  : immediate non-blocking send
+&nam_mpp
+   c_mpi_send =  'S'
+/
+!-----------------------------------------------------------------------
+!       nam_mpp_dyndist      Massively Parallel Distribution            ("key_agrif" && "key_mpp_dyndist")
+!-----------------------------------------------------------------------
+!  jpni   number of processors following i
+!  jpnj   number of processors following j
+!  jpnij  number of local domains
+&nam_mpp_dyndist
+   jpni  = 1
+   jpnj  = 1
+   jpnij = 1
 /
 !-----------------------------------------------------------------------
@@ -69,30 +105,17 @@
    nbit_cmp =     0
 /
-!-----------------------------------------------------------------------
-!       nam_mpp      Massively Parallel Processing
-!-----------------------------------------------------------------------
-!  c_mpi_send         mpi send/recieve type
-!                      = 'S'  : standard blocking send
-!                      = 'B'  : buffer blocking send
-!                      = 'I'  : immediate non-blocking send
-&nam_mpp
-   c_mpi_send =  'S'
-/
-!-----------------------------------------------------------------------
-!       nam_mpp_dyndist      Massively Parallel Distribution
-!              #ifdef ( key_agrif && key_mpp_dyndist )
-!-----------------------------------------------------------------------
-!  jpni   number of processors following i
-!  jpnj   number of processors following j
-!  jpnij  number of local domains
-&nam_mpp_dyndist
-   jpni  = 1
-   jpnj  = 1
-   jpnij = 1
-/
+
+!!======================================================================
+!!                      ***  Domain namelists  ***
+!!======================================================================
+!!   nam_zgr       vertical coordinate
+!!   nam_zgr_sco   s-coordinate or hybrid z-s-coordinate
+!!   namdom        space and time domain (bathymetry, mesh, timestep)
+!!======================================================================
+
 !-----------------------------------------------------------------------
 !       nam_zgr       vertical coordinate
 !-----------------------------------------------------------------------
-!  ln_zco     z-coordinate - full steps      (T/F)
+!  ln_zco     z-coordinate - full steps      (T/F)                      ("key_zco" may also be defined)
 !  ln_zps     z-coordinate - partial steps   (T/F)
 !  ln_sco     s- or hybrid z-s-coordinate    (T/F)
@@ -118,153 +141,12 @@
 /
 !-----------------------------------------------------------------------
-!       nam_traadv   advection scheme for tracer (option not control by CPP keys)
-!-----------------------------------------------------------------------
-!  ln_traadv_cen2     2nd order centered scheme    (default T)
-!  ln_traadv_tvd      TVD scheme                   (default F)
-!  ln_traadv_muscl    MUSCL scheme                 (default F)
-!  ln_traadv_muscl2   MUSCL2 scheme                (default F)
-!  ln_traadv_ubs      UBS scheme                   (default F)
-!  ln_traadv_qck      QUICKEST scheme              (default F)
-&nam_traadv
-   ln_traadv_cen2   =  .false.
-   ln_traadv_tvd    =  .true.
-   ln_traadv_muscl  =  .false.
-   ln_traadv_muscl2 =  .false.
-   ln_traadv_ubs    =  .false.
-   ln_traadv_qck    =  .false.
-/
-!-----------------------------------------------------------------------
-!       nam_traldf   lateral diffusion scheme for tracer (option not control by CPP keys)
-!-----------------------------------------------------------------------
-!  Type of the operator : 
-!     ln_traldf_lap    laplacian operator          (default T)
-!     ln_traldf_bilap  bilaplacian operator        (default F)
-!  Direction of action  : 
-!     ln_traldf_level  iso-level                   (default F)
-!     ln_traldf_hor    horizontal (geopotential)   (default F)^**
-!     ln_traldf_iso    iso-neutral                 (default T)^*
-!  Coefficient
-!     aht0    horizontal eddy diffusivity for tracers (m2/s)
-!     ahtb0   background eddy diffusivity for isopycnal diffusion (m2/s)
-!     aeiv0   eddy induced velocity coefficient (m2/s)
-! ^* require key_ldfslp to compute the direction of the lateral diffusion
-! ^** require key_ldfslp in s-coordinate
-&nam_traldf
-   ln_traldf_lap    =  .true.
-   ln_traldf_bilap  =  .false.
-   ln_traldf_level  =  .false.
-   ln_traldf_hor    =  .false.
-   ln_traldf_iso    =  .true.
-   aht0    =  1000.
-   ahtb0   =     0.
-   aeiv0   =  1000.
-/
-!-----------------------------------------------------------------------
-!       nam_dynldf   lateral diffusion on momentum
-!-----------------------------------------------------------------------
-!  Type of the operator : 
-!     ln_dynldf_lap    laplacian operator          (default T)
-!     ln_dynldf_bilap  bilaplacian operator        (default F)
-!  Direction of action  : 
-!     ln_dynldf_level  iso-level                   (default F)
-!     ln_dynldf_hor    horizontal (geopotential)   (default F)^**
-!     ln_dynldf_iso    iso-neutral                 (default T)^*
-!  Coefficient
-!  ahm0    horizontal eddy viscosity for the dynamics (m2/s)
-!  ahmb0   background eddy viscosity for isopycnal diffusion (m2/s)
-&nam_dynldf
-   ln_dynldf_lap    =  .true.
-   ln_dynldf_bilap  =  .false.
-   ln_dynldf_level  =  .false.
-   ln_dynldf_hor    =  .true.
-   ln_dynldf_iso    =  .false.
-   ahm0    = 100000.
-   ahmb0   =      0.
-/
-!-----------------------------------------------------------------------
-!       namflg   algorithm flags (algorithm not control by CPP keys)
-!-----------------------------------------------------------------------
-!  ln_dynhpg_imp   hydrostatic pressure gradient: semi-implicit time scheme  (T)
-!                                                  centered      time scheme  (F)
-!   nn_dynhpg_rst  add dynhpg implicit variables in restart ot not (1/0)
-&namflg
-   ln_dynhpg_imp   =  .false.
-   nn_dynhpg_rst   =  0
-/
-!-----------------------------------------------------------------------
-!       nam_dynhpg   Hydrostatic pressure gradient option
-!-----------------------------------------------------------------------
-!  type of pressure gradient scheme (choose one only!)
-!     ln_hpg_zco    z-coordinate - full steps                   (default T)
-!     ln_hpg_zps    z-coordinate - partial steps (interpolation)
-!     ln_hpg_sco    s-coordinate (standard jacobian formulation)
-!     ln_hpg_hel    s-coordinate (helsinki modification)
-!     ln_hpg_wdj    s-coordinate (weighted density jacobian)
-!     ln_hpg_djc    s-coordinate (Density Jacobian with Cubic polynomial)
-!     ln_hpg_rot    s-coordinate (ROTated axes scheme)
-!  parameters
-!    gamm          weighting coefficient (wdj scheme)
-&nam_dynhpg
-   ln_hpg_zco = .true.
-   ln_hpg_zps = .false.
-   ln_hpg_sco = .false.
-   ln_hpg_hel = .false.
-   ln_hpg_wdj = .false.
-   ln_hpg_djc = .false.
-   ln_hpg_rot = .false.
-   gamm       = 0.e0
-/
-!-----------------------------------------------------------------------
-!       nam_dynadv   option of physics/algorithm (not control by CPP keys)
-!-----------------------------------------------------------------------
-!  ln_dynadv_vec      vector form flag
-!  ln_dynadv_cen2     flux form - 2nd order centered scheme    (default T)
-!  ln_dynadv_ubs      flux form - 3rd order UBS scheme         (default F)
-&nam_dynadv   
-   ln_dynadv_vec   = .TRUE.
-   ln_dynadv_cen2  = .FALSE.
-   ln_dynadv_ubs   = .FALSE.
-/  
-!-----------------------------------------------------------------------
-!       nam_dynvor   option of physics/algorithm (not control by CPP keys)
-!-----------------------------------------------------------------------
-!  ln_dynvor_ens   vorticity trends: enstrophy conserving scheme (default T)
-!  ln_dynvor_ene      "         "  : energy conserving scheme    (default F)
-!  ln_dynvor_mix      "         "  : mixed scheme                (default F)
-!  ln_dynvor_een      "         "  : energy & enstrophy scheme   (default F)
-&nam_dynvor
-   ln_dynvor_ene = .TRUE.
-   ln_dynvor_ens = .FALSE.
-   ln_dynvor_mix = .FALSE.
-   ln_dynvor_een = .FALSE.
-/
-!-----------------------------------------------------------------------
-!       namalb   albedo parameters
-!-----------------------------------------------------------------------
-!  cgren    correction of the snow or ice albedo to take into account
-!  albice   albedo of melting ice in the arctic and antarctic
-!  alphd    coefficients for linear interpolation used to compute albedo
-!           between two extremes values (Pyane, 1972)
-!  alphc     "                                         "
-!  alphdi    "                                         "
-&namalb
-   cgren    =      0.06
-   albice   =      0.5
-   alphd    =      0.80
-   alphc    =      0.65
-   alphdi   =      0.72
-/
-!-----------------------------------------------------------------------
 !       namdom   space and time domain (bathymetry, mesh, timestep)
 !-----------------------------------------------------------------------
-!  ntopo      = 0/1 ,compute/read the bathymetry file
-!               (mbathy, nb of T-ocean levels)
+!  ntopo      = 0/1 ,compute/read the bathymetry file (mbathy, nb of T-ocean levels)
 !  e3zps_min  the thickness of the partial step is set larger than the
-!  e3zps_rat     the minimum of e3zps_min and e3zps_rat * e3t
-!                (N.B. 0<e3zps_rat<1)
+!  e3zps_rat     the minimum of e3zps_min and e3zps_rat * e3t (N.B. 0<e3zps_rat<1)
 !  nmsh       =1 create a mesh file (coordinates, scale factors, masks)
-!  nacc       the acceleration of convergence method
-!             = 0, no acceleration, rdt = rdttra
-!             = 1, acceleration used, rdt < rdttra(k)
+!  nacc       acceleration of convergence method   = 0, not used, rdt = rdttra
+!                                                  = 1,     used, rdt < rdttra(k)
 !  atfp       asselin time filter parameter
 !  rdt        time step for the dynamics (and tracer if nacc=0)
@@ -273,6 +155,6 @@
 !  rdth       depth variation of tracer time step
 !  rdtbt      barotropic time step (for the time splitting algorithm)
-!  nclosea    0 no closed sea 
-!             1 closed sea (Black Sea, Caspian Sea, Great US Lakes...) 
+!  nclosea    =0 remove the closed sea from the global domain (orca configuration)
+!             =1 closed sea (Black Sea, Caspian Sea, Great US Lakes...) 
 &namdom
    ntopo     =     0
@@ -289,189 +171,129 @@
    nclosea   =     0
 /
-!-----------------------------------------------------------------------
-!       namfwb   freshwater budget correction
-!-----------------------------------------------------------------------
-!  ln_fwb     logical flag for freshwater budget correction (0 annual mean)
-&namfwb
-   ln_fwb    = .false.
-/
-!-----------------------------------------------------------------------
-!       namptr   Poleward Transport Diagnostic
-!-----------------------------------------------------------------------
-!  ln_diaptr  logical flag for Poleward transport computation
-!  ln_subbas  logical flag for Atlantic/Pacific/Indian basins computation
-!             need input basins mask file named "subbasins.nc"
-!  nf_ptr     Frequency of computation
-&namptr
-   ln_diaptr = .false.
-   ln_subbas = .false.
-   nf_ptr    =  15
-/
-!-----------------------------------------------------------------------
-!       namcro   cross land advection
-!-----------------------------------------------------------------------
-!  n_cla   advection between 2 ocean pts separates by land 
-&namcla
-   n_cla   = 0
-/
-!-----------------------------------------------------------------------
-!       namzdf   vertical physics
-!-----------------------------------------------------------------------
-!  ln_zdfevd  enhanced vertical diffusion         (default T)
-!  ln_zdfnpc  Non-Penetrative Convection          (default T)
-!  avm0       vertical eddy viscosity for the dynamic (m2/s)
-!  avt0       vertical eddy diffusivity for tracers (m2/s)
-!  avevd      vertical coefficient for enhanced diffusion scheme (m2/s)
-!  nevdm      = 0  apply enhanced mixing on tracer only
-!             = 1  apply enhanced mixing on both tracer and momentum
-!  ln_zdfexp   vertical physics: (=T)  time splitting (T)     (Default=F)
-!                               (=F)  euler backward (F)
-!  n_zdfexp   number of sub-timestep for time splitting scheme
-&namzdf
-   ln_zdfevd = .true.
-   ln_zdfnpc = .false.
-   avm0      = 1.2e-4
-   avt0      = 1.2e-5
-   avevd     =   100.
-   n_evdm    =     1
-   ln_zdfexp =  .false.
-   n_zdfexp  =     3
-/
-!-----------------------------------------------------------------------
-!       namnpc   vnon penetrative convection
-!-----------------------------------------------------------------------
-!  nnpc1   non penetrative convective scheme frequency
-!  nnpc2   non penetrative convective scheme print frequency
-&namnpc
-   nnpc1  =      1
-   nnpc2  =    365
-/
-!-----------------------------------------------------------------------
-!       nambbl   bottom boundary layer scheme
-!-----------------------------------------------------------------------
-!  atrbbl   lateral tracer coeff. for bottom boundary layer scheme(m2/s)
-&nambbl
-   atrbbl = 10000.
-/
-!-----------------------------------------------------------------------
-!       namric   richardson number dependent vertical diffusion
-!                ( #ifdef "key_zdfrichardson" )
-!-----------------------------------------------------------------------
-!  avmri   maximum value of the vertical viscosity
-!  alp     coefficient of the parameterization
-!  nric    coefficient of the parameterization
-&namric
-   avmri = 100.e-4
-   alp   =      5.
-   nric  =       2
-/
-!-----------------------------------------------------------------------
-!       namtke   turbulent eddy kinetic dependent vertical diffusion
-!                ( #ifdef "key_zdftke" )
-!-----------------------------------------------------------------------
-!  ln_rstke flag to restart with tke from a run without tke (default F)
-!  ediff    coef. to compute vertical eddy coef. (avt=ediff*mxl*sqrt(e) )
-!  ediss    coef. of the Kolmogoroff dissipation  
-!  ebb      coef. of the surface input of tke
-!  efave    coef. to applied to the tke diffusion ( avtke=efave*avm )
-!  emin     minimum value of tke (m^2/s^2)
-!  emin0    surface minimum value of tke (m^2/s^2)
-!  nitke    number of restart iterative loops
-!  ri_c     critic richardson number
-!  nmxl     flag on mixing length used
-!           = 0 bounded by the distance to surface and bottom
-!           = 1 bounded by the local vertical scale factor
-!           = 2 first vertical derivative of mixing length bounded by 1
-!  npdl     flag on prandtl number
-!           = 0 no vertical prandtl number (avt=avm)
-!           = 1 prandtl number function of richarson number (avt=pdl*avm)
-!           = 2 same as = 1 but a shapiro filter is applied on pdl
-!  nave     =  horizontal averaged (=1) or not (=0) of avt  (default =1)
-!  navb     = 0 cst background avt0, avm0 / =1 profile used on avtb
-&namtke
-   ln_rstke = .false.
-   ediff =       0.1
-   ediss =       0.7
-   ebb   =      3.75
-   efave =        1.
-   emin  =     1.e-5 
-   emin0 =     1.e-4
-   nitke =        50
-   nmxl  =         2
-   npdl  =         1
-   navb  =         0
-/
-!-----------------------------------------------------------------------
-!       namkpp   K-Profile Parameterization dependent vertical diffusion
-!                ( #ifdef "key_zdfkpp" )
-!-----------------------------------------------------------------------
-!  ln_kpprimix   shear instability mixing  (default T)
-!  difmiw        constant internal wave viscosity (m2/s)
-!  difsiw        constant internal wave diffusivity (m2/s)
-!  Riinfty       local Richardson Number limit for shear instability
-!  difri         maximum shear mixing at Rig = 0    (m2/s)
-!  bvsqcon       Brunt-Vaisala squared (1/s**2) for maximum convection
-!  difcon        maximum mixing in interior convection (m2/s)
-!  nave          = 0/1 flag for horizontal average on avt, avmu, avmv
-!  navb          = 0/1 flag for constant or profile background avt
-&namkpp
-   ln_kpprimix  = .true.
-   difmiw       =  1.e-04
-   difsiw       =  0.1e-04
-   Riinfty      =  0.8
-   difri        =  0.0050
-   bvsqcon      = -0.01e-07
-   difcon       =  1.
-   navb         =  0
-   nave         =  1
-/
-!-----------------------------------------------------------------------
-!       namddm   double diffusive mixing parameterization
-!-----------------------------------------------------------------------
-!   avts    maximum avs for dd mixing 
-!   hsbfr   heat/salt buoyancy flux ratio
-&namddm
-      avts  = 1.e-4
-      hsbfr = 1.6
-/
-!-----------------------------------------------------------------------
-!       namlbc   lateral momentum boundary condition
-!-----------------------------------------------------------------------
-!  shlat   lateral boundary condition on velocity
-!                   shlat = 0 , free slip
-!               0 < shlat < 2 , partial slip
-!                   shlat = 2 , no slip
-!               2 < shlat     , strong slip
-&namlbc
-   shlat  =      0.
-/
-!-----------------------------------------------------------------------
-!       nambfr   bottom friction
-!-----------------------------------------------------------------------
-!  nbotfr  type of bottom friction 
-!                  nbotfr = 0 , no slip 
-!                  nbotfr = 1 , linear friction
-!                  nbotfr = 2 , nonlinear friction
-!                  nbotfr = 3 , free slip
-!  bfri1   bottom drag coefficient (linear case)
-!  bfri2   bottom drag coefficient (non linear case)
-!  bfeb2   bottom turbulent kinetic energy  (m^2/s^2)
-&nambfr
-   nbotfr =       2
-   bfri1  =   4.e-4
-   bfri2  =   1.e-3
-   bfeb2  =  2.5e-3
-/
-!-----------------------------------------------------------------------
-!       nambbc   bottom temperature boundary condition
-!-----------------------------------------------------------------------
-!  ngeo_flux  = 0 no geothermal heat flux
-!             = 1 constant geothermal heat flux
-!             = 2 variable geothermal heat flux (read in geothermal_heating.nc) 
-!                 ( C A U T I O N : flux in mW/m2 in the NetCDF file )
-!  ngeo_flux_const   Constant value of geothermal heat flux (W/m2) 
-&nambbc
-   ngeo_flux =  0
-   ngeo_flux_const = 86.4e-3
+
+!!======================================================================
+!!            ***  Surface Boundary Condition namelists  ***
+!!======================================================================
+!!   namsbc        surface boundary condition
+!!   namsbc_ana    analytical         formulation
+!!   namsbc_flx    flux               formulation
+!!   namsbc_clio   CLIO bulk formulea formulation
+!!   namsbc_core   CORE bulk formulea formulation
+!!   namsbc_cpl    CouPLed            formulation                       ("key_coupled")
+!!   namqsr        penetrative solar radiation
+!!   namsbc_rnf    river runoffs
+!!   namsbc_ssr    sea surface restoring term (for T and/or S)
+!!   namalb        albedo parameters
+!!======================================================================
+
+!-----------------------------------------------------------------------
+!       namsbc       Surface Boundary Condition (surface module)
+!-----------------------------------------------------------------------
+!  nn_fsbc       frequency of surface boundary condition computation 
+!                (= the frequency of sea-ice model call)
+!  ln_ana        analytical formulation (fill namsbc_ana ) 
+!  ln_flx        flux formulation       (fill namsbc_flx ) 
+!  ln_blk_clio   CLIO bulk formulation  (fill namsbc_core) 
+!  ln_blk_core   CORE bulk formulation  (fill namsbc_clio) 
+!  ln_cpl        Coupled formulation    (fill namsbc_cpl ) 
+!  nn_ice        =0 no ice boundary condition   ,
+!                =1 observed ice-cover          ,
+!                =2 ice-model used                                      ("key_lim3" or "key_lim2)
+!  ln_dm2dc     Daily mean to Diurnal Cycle short wave (qsr)
+!  ln_ssr       Sea Surface Restoring on T and/or S (fill namsbc_ssr)
+!  nn_fwb       FreshWater Budget: =0 no control                              , 
+!                                  =1 annual global mean of e-p-r set to zero   ,
+!                                  =2 global mean of e-p-r set to zero at each nn_fsbc time step
+&namsbc
+   nn_fsbc     = 1
+   ln_ana      = .true.
+   ln_flx      = .false.
+   ln_blk_clio = .false.
+   ln_blk_core = .false.
+   ln_cpl      = .false.
+   nn_ice      = 0
+   ln_dm2dc    = .false.
+   ln_rnf      = .false.
+   ln_ssr      = .false.
+   nn_fwb      = 0
+/
+!-----------------------------------------------------------------------
+!       namsbc_ana   analytical surface boundary condition
+!-----------------------------------------------------------------------
+!  nn_tau000   gently increase the stress over the first ntau_rst time-steps
+!  rn_utau0    uniform value for the i-stress
+!  rn_vtau0    uniform value for the j-stress
+!  rn_q0       uniform value for the total heat flux
+!  rn_qsr0     uniform value for the solar radiation
+!  rn_emp0     uniform value for the freswater budget (E-P)
+&namsbc_ana
+   nn_tau000  =   100
+   rn_utau0   =   0.1e0
+   rn_vtau0   =   0.e0
+   rn_q0      =   0.e0
+   rn_qsr0    =   0.e0
+   rn_emp0    =   0.e0
+/
+!-----------------------------------------------------------------------
+!       namsbc_flx   surface boundary condition : flux formulation (#ifdef "key_sbc_flux")
+!-----------------------------------------------------------------------
+!  cn_dir   directory in which the model is executed
+!
+!  THE ORDER OF THE FILES MATTER:
+!               !      file name     ! frequency (hours) ! variable ! time intepolation !  clim  ! starting !
+!               !                    !   (if <0  months) !   name   !    (logical)      !  (0/1) !  record  !
+&namsbc_flx
+   cn_dir       = './'
+   sn_utau      =      'utau.nc'     ,        24.        ,  'utau'  ,     .false.       ,    0   ,     0
+   sn_vtau      =      'vtau.nc'     ,        24.        ,  'vtau'  ,     .false.       ,    0   ,     0
+   sn_qtot      =      'qtot.nc'     ,        24.        ,  'qtot'  ,     .false.       ,    0   ,     0
+   sn_qsr       =      'qsr.nc'      ,        24.        ,  'qsr'   ,     .false.       ,    0   ,     0
+   sn_emp       =      'emp.nc'      ,        24.        ,  'emp'   ,     .false.       ,    0   ,     0
+/      
+!-----------------------------------------------------------------------
+!       namsbc_clio  CLIO bulk formulea
+!-----------------------------------------------------------------------
+!  cn_dir   directory in which the model is executed
+!
+!  THE ORDER OF THE FILES MATTER:
+!               !   file name        ! frequency (hours) ! variable   ! time intepolation !  clim  ! starting !
+!               !                    !   (if <0  months) !   name     !    (logical)      !  (0/1) !  record  !
+&namsbc_clio
+   cn_dir       = './'
+   sn_utau      =    'taux_1m'    ,      -12.         ,  'sozotaux',    .false.        ,    1   ,    0    
+   sn_vtau      =    'tauy_1m'    ,      -12.         ,  'sometauy',    .false.        ,    1   ,    0    
+   sn_wndm      =    'flx'        ,      -12.         ,  'socliowi',    .false.        ,    1   ,    0      
+   sn_tair      =    'flx'        ,      -12.         ,  'socliot1',    .false.        ,    1   ,    0     
+   sn_humi      =    'flx'        ,      -12.         ,  'socliohu',    .false.        ,    1   ,    0    
+   sn_ccov      =    'flx'        ,      -12.         ,  'socliocl',    .false.        ,    1   ,    0      
+   sn_prec      =    'flx'        ,      -12.         ,  'socliopl',    .false.        ,    1   ,    0       
+/
+!-----------------------------------------------------------------------
+!       namsbc_core  CORE bulk formulea
+!-----------------------------------------------------------------------
+!  cn_dir         directory in which the model is executed
+!  ln_2m          logical flag to use air temp. and hum referenced at 2m instead 10m
+!  alpha_precip   multiplication factor for precipitation (total & snow)
+!
+!  THE ORDER OF THE FILES MATTER:
+!               !   file name        ! frequency (hours) ! variable   ! time intepolation !  clim  ! starting !
+!               !                    !   (if <0  months) !   name     !    (logical)      !  (0/1) !  record  !
+&namsbc_core
+   cn_dir       = './'
+   ln_2m        = .false.
+   alpha_precip = 1.
+   sn_wndi      =    'u10'        ,       24.         ,  'U_10_MOD',    .false.        ,    1   ,    0    
+   sn_wndj      =    'v10'        ,       24.         ,  'V_10_MOD',    .false.        ,    1   ,    0    
+   sn_qsr       =    'rad'        ,       24.         ,  'SWDN_MOD',    .false.        ,    1   ,    0      
+   sn_qlw       =    'rad'        ,       24.         ,  'LWDN_MOD',    .false.        ,    1   ,    0      
+   sn_tair      =    't10'        ,       24.         ,  'T_10_MOD',    .false.        ,    1   ,    0     
+   sn_humi      =    'q10'        ,       24.         ,  'Q_10_MOD',    .false.        ,    1   ,    0    
+   sn_prec      =    'precip'     ,      -12.         ,  'RAIN'    ,    .false.        ,    1   ,    0      
+   sn_snow      =    'precip'     ,      -12.         ,  'SNOW'    ,    .false.        ,    1   ,    0       
+/
+!-----------------------------------------------------------------------
+!       namsbc_cpl    coupled ocean/atmosphere model                    ("key_coupled")
+!-----------------------------------------------------------------------
+&namsbc_cpl
 /
 !-----------------------------------------------------------------------
@@ -489,122 +311,82 @@
 /
 !-----------------------------------------------------------------------
-!       namtdp   tracer newtonian damping ('key_tradmp')
-!-----------------------------------------------------------------------
-!  ndmp    type of damping in temperature and salinity 
-!          (='latitude', damping poleward of 'ndmp' degrees and function 
-!             of the distance-to-coast. Red and Med Seas as ndmp=-1)
-!          (=-1 damping only in Med and Red Seas)
-!  ndmpf   =1 create a damping.coeff NetCDF file (the 3D damping array)
-!  nmldmp  type of damping in the mixed layer
-!          (=0 damping throughout the water column)
-!	   (=1 no damping in the mixed layer defined by avt >5cm2/s )
-!	   (=2 no damping in the mixed layer defined rho<rho(surf)+.01 )
-!  sdmp    surface time scale for internal damping (days)
-!  bdmp    bottom time scale for internal damping (days)
-!  hdmp    depth of transition between sdmp and bdmp (meters)
-&namtdp
-   ndmp   =   -1
-   ndmpf  =    1
-   nmldmp =    1
-   sdmp   =  50.
-   bdmp   = 360.
-   hdmp   = 800.
-/
-!-----------------------------------------------------------------------
-!       nameos   ocean physical parameters
-!-----------------------------------------------------------------------
-!  neos    type of equation of state and Brunt-Vaisala frequency
-!          = 0, UNESCO (formulation of Jackett and McDougall (1994)
-!                                         and of McDougall (1987) )
-!          = 1, linear: rho(T)   = rau0 * ( 1.028 - ralpha * T )
-!          = 2, linear: rho(T,S) = rau0 * ( rbeta * S - ralpha * T )
-!                               with rau0=1020 set in parcst routine
-!  ralpha  thermal expension coefficient (linear equation of state)
-!  rbeta   saline  expension coefficient (linear equation of state)
-&nameos
-   neos   =      2
-   ralpha =  2.e-4
-   rbeta  =  7.7e-4
-/
-!-----------------------------------------------------------------------
-!       namsol   elliptic solver / island / free surface 
-!-----------------------------------------------------------------------
-!  nsolv     elliptic solver (=1 preconditioned conjugate gradient: pcg)
-!                            (=2 successive-over-relaxation: sor)
-!                            (=3 FETI: fet, all require "key_feti" defined)
-!  nsol_arp  absolute/relative (0/1) precision convergence test
-!  nmin      minimum of iterations for the SOR solver
-!  nmax      maximum of iterations for the SOR solver
-!  nmod      frequency of test for the SOR solver
-!  eps       absolute precision of the solver
-!  resmax    absolute precision for the SOR solver
-!  sor       optimal coefficient for SOR solver
-!  epsisl    absolute precision on stream function solver
-!  nmisl     maximum pcg iterations for island
-!  rnu       strength of the additional force used in free surface b.c.
-&namsol
-   nsolv     =      2
-   nsol_arp  =      0
-   nmin      =    210
-   nmax      =    800
-   nmod      =     10
-   eps       =  1.E-6
-   resmax    = 1.E-10
-   sor       =   1.96
-   epsisl    = 1.e-10
-   nmisl     =   4000
-   rnu       =     1.
-/
-!=======================================================================
-!   Diagnostics namelists
-!       namtrd    dynamics and/or tracer trends
-!       namgap    level mean model-data gap
-!       namznl    zonal mean heat & freshwater fluxes computation
-!       namspr    surface pressure in rigid-lid
-!=======================================================================
-!-----------------------------------------------------------------------
-!       namtrd    diagnostics on dynamics and/or tracer trends
-!                         ('key_trdyn' and/or 'key_trdtra')
-!                 or mixed-layer trends ('key_trdmld')
-!-----------------------------------------------------------------------
-!  ntrd              time step frequency dynamics and tracers trends
-!  nctls             control surface type in mixed-layer trends (0,1 or n<jpk)
-!  ln_trdmld_restart restart for ML diagnostics
-!  ucf               unit conversion factor (=1 -> /seconds | =86400. -> /day)
-!  ln_trdmld_instant flag to diagnose trends of instantantaneous or mean ML T/S
-&namtrd
-   ntrd  = 365
-   nctls =   0
-   ln_trdmld_restart = .false.
-   ucf   =  1.
-   ln_trdmld_instant = .false.
-/
-!-----------------------------------------------------------------------
-!       namgap    level mean model-data gap ('key_diagap')
-!-----------------------------------------------------------------------
-!  ngap    time-step frequency of model-data gap computation
-!  nprg    time-step frequency of gap print in model output
-&namgap
-   ngap =  15
-   nprg =  10
-/
-!-----------------------------------------------------------------------
-!       namznl    zonal mean heat & freshwater fluxes computation
-!                 (#ifdef "key_diaznl")
-!-----------------------------------------------------------------------
-!  nfznl   time-step frequency of zonal mean fluxes computation
-&namznl
-   nfznl =  15
-/
-!-----------------------------------------------------------------------
-!       namspr  surface pressure diagnostic
-!-----------------------------------------------------------------------
-!  nmaxp   maximum of iterations for the solver
-!  epsp    absolute precision of the solver
-!  niterp  number of iteration done by the solver
-&namspr
-   nmaxp   =   1000
-   epsp    =  1.e-3
-   niterp  =    400
+!       namsbc_rnf   runoffs namelist surface boundary condition
+!-----------------------------------------------------------------------
+!nn_runoff   =0 no, 1 runoff, 2 runoff+river mouth ups adv
+!rn_hrnf     runoffs, depth over which enhanced vertical mixing is used
+!rn_avt_rnf  runoffs, value of the additional vertical mixing coef. [m2/s]
+!cn_dir      Root directory for location of ssr files
+!sn_rnf      informations about the runoff file to be read
+!sn_cnf      informations about the runoff mouth file to be read
+!  THE ORDER OF THE FILES MATTER:
+!               !   file name        ! frequency (hours) ! variable   ! time interpolation !
+!               !                    !   (if <0  months) !   name     !     (logical)      !
+&namsbc_rnf
+   nn_runoff  = 0
+   rn_hrnf    = 0.e0
+   rn_avt_rnf = 1.e-3
+   cn_dir     = './'
+   sn_rnf     = 'runoff_1m_nomask.nc' ,      -12.        ,  'sorunoff',    .true.   ,  1  ,  0     
+   sn_cnf     = 'runoff_1m_nomask.nc' ,        0.        ,  'socoefr' ,    .false.  ,  1  ,  0              
+/
+!-----------------------------------------------------------------------
+!       namsbc_ssr   surface boundary condition : sea surface restoring
+!-----------------------------------------------------------------------
+!  nn_sstr   =0/1   add a retroaction term in the surface heat flux
+!  nn_sssr   =O/1/2 add a damping term in the surface freshwater flux
+!             (=1, salt flux, concentration/dillution emps only)
+!             (=2, volume flux, both emp and emps are updated) 
+!  dqdt       magnitude of the retroaction on temperature [W/m2/K]
+!  deds       magnitude of the damping on salinity [mm/day]
+!  THE ORDER OF THE FILES MATTER:
+!               !   file name     ! frequency (hours) ! variable ! time intepolation !  clim  ! starting !
+!               !                 !   (if <0  months) !   name   !    (logical)      !  (0/1) !  record  !
+&namsbc_ssr
+   nn_sstr      = 0
+   nn_sssr      = 0
+   dqdt         = -40.
+   deds         =  27.7
+   sn_sst       =  'sst_data.nc'  ,         24.       ,  'sst'   ,     .false.       ,    0   ,     0
+   sn_sss       =  'sss_data.nc'  ,        -12.       ,  'sss'   ,     .true.        ,    0   ,     0
+/      
+!-----------------------------------------------------------------------
+!       namalb   albedo parameters
+!-----------------------------------------------------------------------
+!  cgren    correction of the snow or ice albedo to take into account
+!  albice   albedo of melting ice in the arctic and antarctic
+!  alphd    coefficients for linear interpolation used to compute albedo
+!           between two extremes values (Pyane, 1972)
+!  alphc     "                                         "
+!  alphdi    "                                         "
+&namalb
+   cgren    =      0.06
+   albice   =      0.5
+   alphd    =      0.80
+   alphc    =      0.65
+   alphdi   =      0.72
+/
+
+!!======================================================================
+!!               ***  Lateral boundary condition  ***
+!!======================================================================
+!!   namlbc        lateral momentum boundary condition
+!!   namcla        cross land advection
+!!   namobc        open boundaries parameters                           ("key_obc")
+!!======================================================================
+
+!-----------------------------------------------------------------------
+!       namlbc   lateral momentum boundary condition
+!-----------------------------------------------------------------------
+!  shlat            shlat = 0 , free slip   ;   0 < shlat < 2 , partial slip
+!                   shlat = 2 , no slip     ;   2 < shlat     , strong slip
+&namlbc
+   shlat  =      0.
+/
+!-----------------------------------------------------------------------
+!       namcla   cross land advection
+!-----------------------------------------------------------------------
+!  n_cla   advection between 2 ocean pts separates by land 
+&namcla
+   n_cla   = 0
 /
 !-----------------------------------------------------------------------
@@ -638,6 +420,438 @@
     ln_vol_cst  = .false.
 /
-!-----------------------------------------------------------------------
-!       namflo    float parameters (#ifdef key_float)
+
+!!======================================================================
+!!                 ***  Bottom boundary condition  ***
+!!======================================================================
+!!   nambfr        bottom friction
+!!   nambbc        bottom temperature boundary condition                ("key_trabbc")
+!!   nambbl        bottom boundary layer scheme                         ("key_trabbl_dif","key_trabbl_adv")
+!!======================================================================
+!-----------------------------------------------------------------------
+!       nambfr   bottom friction
+!-----------------------------------------------------------------------
+!  nbotfr   type of bottom friction : = 0 : no slip    ;  = 1 : linear friction
+!                                     = 3 : free slip  ;  = 2 : non linear friction
+!  bfri1    bottom drag coefficient (linear case)
+!  bfri2    bottom drag coefficient (non linear case)
+!  bfeb2    bottom turbulent kinetic energy  (m2/s2)
+&nambfr
+   nbotfr =       2
+   bfri1  =   4.e-4
+   bfri2  =   1.e-3
+   bfeb2  =  2.5e-3
+/
+!-----------------------------------------------------------------------
+!       nambbc   bottom temperature boundary condition
+!-----------------------------------------------------------------------
+!  ngeo_flux  = 0 no geothermal heat flux
+!             = 1 constant geothermal heat flux
+!             = 2 variable geothermal heat flux (read in geothermal_heating.nc in mW/m2)
+!  ngeo_flux_const   Constant value of geothermal heat flux (W/m2) 
+&nambbc
+   ngeo_flux =  0
+   ngeo_flux_const = 86.4e-3
+/
+!-----------------------------------------------------------------------
+!       nambbl   bottom boundary layer scheme
+!-----------------------------------------------------------------------
+!                                !  diffusive bbl                       ("key_trabbl")
+!                                !  advective bbl                       ("key_trabbl_adv")
+!  atrbbl   mixing coefficient of the bottom boundary layer scheme (m2/s)
+&nambbl
+   atrbbl = 10000.
+/
+
+!!======================================================================
+!!                        Tracer (T & S ) namelists
+!!======================================================================
+!!   nameos        equation of state
+!!   nam_traadv    advection scheme
+!!   nam_traldf    lateral diffusion scheme
+!!   namtdp        tracer newtonian damping                             ("key_tradmp")
+!!======================================================================
+
+!-----------------------------------------------------------------------
+!       nameos   ocean physical parameters
+!-----------------------------------------------------------------------
+!  neos    type of equation of state and Brunt-Vaisala frequency
+!          !   = 0, UNESCO (formulation of Jackett and McDougall (1994) and of McDougall (1987) )
+!          !   = 1, linear: rho(T)   = rau0 * ( 1.028 - ralpha * T )
+!          !   = 2, linear: rho(T,S) = rau0 * ( rbeta * S - ralpha * T )
+!  ralpha  thermal expension coefficient (neos= 1 or 2)
+!  rbeta   saline  expension coefficient (neos= 2)
+&nameos
+   neos   =      2
+   ralpha =  2.e-4
+   rbeta  =  7.7e-4
+/
+!-----------------------------------------------------------------------
+!       nam_traadv   advection scheme for tracer
+!-----------------------------------------------------------------------
+!  ln_traadv_cen2     2nd order centered scheme          (default T)
+!  ln_traadv_tvd      TVD scheme                         (default F)
+!  ln_traadv_muscl    MUSCL scheme                       (default F)
+!  ln_traadv_muscl2   MUSCL scheme + cen2 at boundaries  (default F)
+!  ln_traadv_ubs      UBS scheme                         (default F)
+!  ln_traadv_qck      QUICKEST scheme                    (default F)
+&nam_traadv
+   ln_traadv_cen2   =  .false.
+   ln_traadv_tvd    =  .true.
+   ln_traadv_muscl  =  .false.
+   ln_traadv_muscl2 =  .false.
+   ln_traadv_ubs    =  .false.
+   ln_traadv_qck    =  .false.
+/
+!-----------------------------------------------------------------------
+!       nam_traldf   lateral diffusion scheme for tracer
+!-----------------------------------------------------------------------
+!  Type of the operator : 
+!     ln_traldf_lap    laplacian operator          (default T)
+!     ln_traldf_bilap  bilaplacian operator        (default F)
+!  Direction of action  : 
+!     ln_traldf_level  iso-level                   (default F)
+!     ln_traldf_hor    horizontal (geopotential)   (default F)   (require "key_ldfslp" when ln_sco=T)
+!     ln_traldf_iso    iso-neutral                 (default T)   (require "key_ldfslp")
+!  Coefficient
+!     aht0    horizontal eddy diffusivity for tracers (m2/s)
+!     ahtb0   background eddy diffusivity for isopycnal diffusion (m2/s)
+!     aeiv0   eddy induced velocity coefficient (m2/s)           (require "key_traldf_eiv")
+&nam_traldf
+   ln_traldf_lap    =  .true.
+   ln_traldf_bilap  =  .false.
+   ln_traldf_level  =  .false.
+   ln_traldf_hor    =  .false.
+   ln_traldf_iso    =  .true.
+   aht0    =  1000.
+   ahtb0   =     0.
+   aeiv0   =  1000.
+/
+!-----------------------------------------------------------------------
+!       namtdp   tracer newtonian damping ('key_tradmp')
+!-----------------------------------------------------------------------
+!  ndmp    type of damping in temperature and salinity 
+!          !   ='latitude', damping poleward of 'ndmp' degrees and function 
+!          !                of the distance-to-coast. Red and Med Seas as ndmp=-1
+!          !   =-1          damping only in Med and Red Seas
+!  ndmpf   =1 create a damping.coeff NetCDF file (the 3D damping array)
+!  nmldmp  type of damping in the mixed layer
+!          !   =0 damping throughout the water column
+!	        !   =1 no damping in the mixed layer defined by avt >5cm2/s 
+!	        !   =2 no damping in the mixed layer defined rho<rho(surf)+.01 
+!  sdmp    surface time scale for internal damping (days)
+!  bdmp    bottom time scale for internal damping (days)
+!  hdmp    depth of transition between sdmp and bdmp (meters)
+&namtdp
+   ndmp   =   -1
+   ndmpf  =    1
+   nmldmp =    1
+   sdmp   =  50.
+   bdmp   = 360.
+   hdmp   = 800.
+/
+
+!!======================================================================
+!!                      ***  Dynamics namelists  ***
+!!======================================================================
+!!   nam_dynadv    formulation of the momentum advection
+!!   nam_dynvor    advection scheme
+!!   nam_dynhpg    hydrostatic pressure gradient
+!!   namflg        hydrostatic pressure gradient time stepping
+!!   nam_dynspg    surface pressure gradient                            (CPP key only)
+!!   nam_dynldf    lateral diffusion scheme
+!!======================================================================
+
+!-----------------------------------------------------------------------
+!       nam_dynadv   formulation of the momentum advection
+!-----------------------------------------------------------------------
+!  ln_dynadv_vec      vector form (T) or flux form (F)         (default T)
+!  ln_dynadv_cen2     flux form - 2nd order centered scheme    (default T)
+!  ln_dynadv_ubs      flux form - 3rd order UBS scheme         (default F)
+&nam_dynadv   
+   ln_dynadv_vec   = .true.
+   ln_dynadv_cen2  = .false.
+   ln_dynadv_ubs   = .false.
+/  
+!-----------------------------------------------------------------------
+!       nam_dynvor   option of physics/algorithm (not control by CPP keys)
+!-----------------------------------------------------------------------
+!  ln_dynvor_ens   vorticity trends: enstrophy conserving scheme (default T)
+!  ln_dynvor_ene      "         "  : energy conserving scheme    (default F)
+!  ln_dynvor_mix      "         "  : mixed scheme                (default F)
+!  ln_dynvor_een      "         "  : energy & enstrophy scheme   (default F)
+&nam_dynvor
+   ln_dynvor_ene = .true.
+   ln_dynvor_ens = .false.
+   ln_dynvor_mix = .false.
+   ln_dynvor_een = .false.
+/
+!-----------------------------------------------------------------------
+!       nam_dynhpg   Hydrostatic pressure gradient option
+!-----------------------------------------------------------------------
+!  type of pressure gradient scheme (choose one only!)
+!     ln_hpg_zco    z-coordinate - full steps                   (default T)
+!     ln_hpg_zps    z-coordinate - partial steps (interpolation)
+!     ln_hpg_sco    s-coordinate (standard jacobian formulation)
+!     ln_hpg_hel    s-coordinate (helsinki modification)
+!     ln_hpg_wdj    s-coordinate (weighted density jacobian)
+!     ln_hpg_djc    s-coordinate (Density Jacobian with Cubic polynomial)
+!     ln_hpg_rot    s-coordinate (ROTated axes scheme)
+!  parameters
+!     gamm          weighting coefficient (wdj scheme)
+&nam_dynhpg
+   ln_hpg_zco = .true.
+   ln_hpg_zps = .false.
+   ln_hpg_sco = .false.
+   ln_hpg_hel = .false.
+   ln_hpg_wdj = .false.
+   ln_hpg_djc = .false.
+   ln_hpg_rot = .false.
+   gamm       = 0.e0
+/
+!-----------------------------------------------------------------------
+!       namflg   algorithm flags (algorithm not control by CPP keys)
+!-----------------------------------------------------------------------
+!  ln_dynhpg_imp   hydrostatic pressure gradient: semi-implicit time scheme  (T)
+!                                                  centered     time scheme  (F)
+!   nn_dynhpg_rst  add dynhpg implicit variables in restart ot not (1/0)
+&namflg
+   ln_dynhpg_imp   =  .false.
+   nn_dynhpg_rst   =  0
+/
+!-----------------------------------------------------------------------
+!       nam_dynspg   surface pressure gradient   (CPP key only)
+!-----------------------------------------------------------------------
+!                                !  explicit free surface               ("key_dynspg_exp")
+!                                !  filtered free surface               ("key_dynspg_flt")
+!                                !  split-explicit free surface         ("key_dynspg_ts")
+!                                !  rigid-lid                           ("key_dynspg_rl")
+
+!-----------------------------------------------------------------------
+!       nam_dynldf   lateral diffusion on momentum
+!-----------------------------------------------------------------------
+!  Type of the operator : 
+!     ln_dynldf_lap    laplacian operator          (default T)
+!     ln_dynldf_bilap  bilaplacian operator        (default F)
+!  Direction of action  : 
+!     ln_dynldf_level  iso-level                   (default F)
+!     ln_dynldf_hor    horizontal (geopotential)   (default F)   (require "key_ldfslp" if ln_sco=T)
+!     ln_dynldf_iso    iso-neutral                 (default T)   (require "key_ldfslp")
+!  Coefficient
+!     ahm0    horizontal eddy viscosity for the dynamics (m2/s)
+!     ahmb0   background eddy viscosity for isopycnal diffusion (m2/s)
+&nam_dynldf
+   ln_dynldf_lap    =  .true.
+   ln_dynldf_bilap  =  .false.
+   ln_dynldf_level  =  .false.
+   ln_dynldf_hor    =  .true.
+   ln_dynldf_iso    =  .false.
+   ahm0    = 100000.
+   ahmb0   =      0.
+/
+
+!!======================================================================
+!!             Tracers & Dynamics vertical physics namelists
+!!======================================================================
+!!       namzdf        vertical physics
+!!       namnpc        non penetrative convection                       
+!!       namric        richardson number dependent vertical mixing      ("key_zdfric"      )
+!!       namtke        TKE dependent vertical mixing                    ("key_zdftke"      )
+!!       namkpp        KPP dependent vertical mixing                    ("key_zdfkpp"      )
+!!       namddm        double diffusive mixing parameterization         ("key_zdfddm"      )
+!!======================================================================
+
+!-----------------------------------------------------------------------
+!       namzdf   vertical physics
+!-----------------------------------------------------------------------
+!  ln_zdfevd  enhanced vertical diffusion         (default T)
+!  ln_zdfnpc  Non-Penetrative Convection          (default T)
+!  avm0       vertical eddy viscosity for the dynamic (m2/s)   (also background Kz if not "key_zdfcst")
+!  avt0       vertical eddy diffusivity for tracers (m2/s)     (also background Kz if not "key_zdfcst")
+!  avevd      vertical coefficient for enhanced diffusion scheme (m2/s)
+!  n_evdm     = 0  apply enhanced mixing on tracer only
+!             = 1  apply enhanced mixing on both tracer and momentum
+!  ln_zdfexp   vertical physics: (=T)  time splitting (T)     (Default=F)
+!                               (=F)  euler backward (F)
+!  n_zdfexp   number of sub-timestep for time splitting scheme
+&namzdf
+   ln_zdfevd = .true.
+   ln_zdfnpc = .false.
+   avm0      = 1.2e-4
+   avt0      = 1.2e-5
+   avevd     =   100.
+   n_evdm    =     1
+   ln_zdfexp =  .false.
+   n_zdfexp  =     3
+/
+!-----------------------------------------------------------------------
+!       namnpc   non penetrative convection
+!-----------------------------------------------------------------------
+!  nnpc1   non penetrative convective scheme frequency   
+!  nnpc2   non penetrative convective scheme print frequency
+&namnpc
+   nnpc1  =      1
+   nnpc2  =    365
+/
+!-----------------------------------------------------------------------
+!       namric   richardson number dependent vertical diffusion         ("key_zdfric" )
+!-----------------------------------------------------------------------
+!  avmri   maximum value of the vertical viscosity
+!  alp     coefficient of the parameterization
+!  nric    coefficient of the parameterization
+&namric
+   avmri = 100.e-4
+   alp   =      5.
+   nric  =       2
+/
+!-----------------------------------------------------------------------
+!       namtke   turbulent eddy kinetic dependent vertical diffusion    ("key_zdftke")
+!-----------------------------------------------------------------------
+!  ln_rstke flag to restart with tke from a run without tke (default F)
+!  ediff    coef. to compute vertical eddy coef. (avt=ediff*mxl*sqrt(e) )
+!  ediss    coef. of the Kolmogoroff dissipation  
+!  ebb      coef. of the surface input of tke
+!  efave    coef. to applied to the tke diffusion ( avtke=efave*avm )
+!  emin     minimum value of tke (m^2/s^2)
+!  emin0    surface minimum value of tke (m^2/s^2)
+!  nitke    number of restart iterative loops
+!  ri_c     critic richardson number = 2/9 = 0.22222222 (hard coded)
+!  nmxl     length used   = 0 bounded by the distance to surface and bottom
+!           !             = 1 bounded by the local vertical scale factor
+!           !             = 2 first vertical derivative of mixing length bounded by 1
+!  npdl     Prandtl number   = 0 no vertical prandtl number (avt=avm)
+!           !                = 1 prandtl number function of richarson number (avt=pdl*avm)
+!           !                = 2 same as = 1 but a shapiro filter is applied on pdl
+!  nave     =  horizontal averaged (=1) or not (=0) of avt  (default =1)
+!  navb     = 0 cst background avt0, avm0 / =1 profile used on avtb
+&namtke
+   ln_rstke = .false.
+   ediff =       0.1
+   ediss =       0.7
+   ebb   =      3.75
+   efave =        1.
+   emin  =     1.e-5
+   emin0 =     1.e-4
+   nitke =        50
+   nmxl  =         2
+   npdl  =         1
+   navb  =         0
+/
+!-----------------------------------------------------------------------
+!       namkpp   K-Profile Parameterization dependent vertical mixing   ("key_zdfkpp" )
+!-----------------------------------------------------------------------
+!  ln_kpprimix   shear instability mixing  (default T)
+!  difmiw        constant internal wave viscosity (m2/s)
+!  difsiw        constant internal wave diffusivity (m2/s)
+!  Riinfty       local Richardson Number limit for shear instability
+!  difri         maximum shear mixing at Rig = 0    (m2/s)
+!  bvsqcon       Brunt-Vaisala squared (1/s**2) for maximum convection
+!  difcon        maximum mixing in interior convection (m2/s)
+!  nave          = 0/1 flag for horizontal average on avt, avmu, avmv
+!  navb          = 0/1 flag for constant or profile background avt
+&namkpp
+   ln_kpprimix  = .true.
+   difmiw       =  1.e-04
+   difsiw       =  0.1e-04
+   Riinfty      =  0.8
+   difri        =  0.0050
+   bvsqcon      = -0.01e-07
+   difcon       =  1.
+   navb         =  0
+   nave         =  1
+/
+!-----------------------------------------------------------------------
+!       namddm   double diffusive mixing parameterization               ("key_zdfddm")
+!-----------------------------------------------------------------------
+!   avts    maximum avs for dd mixing 
+!   hsbfr   heat/salt buoyancy flux ratio
+&namddm
+      avts  = 1.e-4
+      hsbfr = 1.6
+/
+
+!!======================================================================
+!!                  ***  Miscelaneous namelists  ***
+!!======================================================================
+!!   namsol      elliptic solver / island / free surface 
+!!======================================================================
+
+!-----------------------------------------------------------------------
+!       namsol   elliptic solver / island / free surface 
+!-----------------------------------------------------------------------
+!  nsolv     elliptic solver (=1 preconditioned conjugate gradient: pcg)
+!                            (=2 successive-over-relaxation: sor)
+!                            (=3 FETI currently it does not work!       ("key_feti")
+!  nsol_arp  absolute/relative (0/1) precision convergence test
+!  nmin      minimum of iterations for the SOR solver
+!  nmax      maximum of iterations for the SOR solver
+!  nmod      frequency of test for the SOR solver
+!  eps       absolute precision of the solver
+!  resmax    absolute precision for the SOR solver
+!  sor       optimal coefficient for SOR solver
+!  epsisl    absolute precision on stream function solver
+!  nmisl     maximum pcg iterations for island
+!  rnu       strength of the additional force used in free surface b.c.
+&namsol
+   nsolv     =      2
+   nsol_arp  =      0
+   nmin      =    210
+   nmax      =    800
+   nmod      =     10
+   eps       =  1.E-6
+   resmax    = 1.E-10
+   sor       =   1.96
+   epsisl    = 1.e-10
+   nmisl     =   4000
+   rnu       =     1.
+/
+!!======================================================================
+!!                       ***  Diagnostics namelists  ***
+!!======================================================================
+!!   namtrd       dynamics and/or tracer trends                         ("key_trddyn","key_trdtra","key_trdmld")
+!!   namgap       level mean model-data gap                             ("key_diagap")
+!!   namspr       surface pressure diagnosed in rigid-lid               ("key_diaspr")
+!!   namflo       float parameters                                      ("key_float")
+!!   namptr       Poleward Transport Diagnostics
+!!======================================================================
+
+!-----------------------------------------------------------------------
+!       namtrd    diagnostics on dynamics and/or tracer trends          ("key_trddyn" and/or "key_trdtra")
+!                          or mixed-layer trends                        ('key_trdmld')
+!                          or barotropic vorticity                      ("key_trdvor")
+!-----------------------------------------------------------------------
+!  ntrd                time step frequency dynamics and tracers trends
+!  nctls               control surface type in mixed-layer trends (0,1 or n<jpk)
+!  ln_trdmld_restart   restart for ML diagnostics
+!  ucf                 unit conversion factor (=1 -> /seconds | =86400. -> /day)
+!  ln_trdmld_instant   flag to diagnose trends of instantantaneous or mean ML T/S
+&namtrd
+   ntrd              = 365
+   nctls             =   0
+   ln_trdmld_restart = .false.
+   ucf               =  1.
+   ln_trdmld_instant = .false.
+/
+!-----------------------------------------------------------------------
+!       namgap    level mean model-data gap ('key_diagap')
+!-----------------------------------------------------------------------
+!  ngap    time-step frequency of model-data gap computation
+!  nprg    time-step frequency of gap print in model output
+&namgap
+   ngap =  15
+   nprg =  10
+/
+!-----------------------------------------------------------------------
+!       namspr  surface pressure diagnostic
+!-----------------------------------------------------------------------
+!  nmaxp   maximum of iterations for the solver
+!  epsp    absolute precision of the solver
+!  niterp  number of iteration done by the solver
+&namspr
+   nmaxp   =   1000
+   epsp    =  1.e-3
+   niterp  =    400
+/
+!-----------------------------------------------------------------------
+!       namflo    float parameters                                      ("key_float")
 !-----------------------------------------------------------------------
 !  ln_rstflo   boolean term for float restart (true or false)
@@ -654,170 +868,14 @@
     ln_flork4 = .false.
 /
-!!======================================================================
-!!              Surface Boundary Condition namelists
-!!
-!!       namsbc    surface boundary condition
-!!       namsbc_ana    analytical         formulation of sbc
-!!       namsbc_flx    flux               formulation of sbc
-!!       namsbc_core   CORE bulk formulea formulation of sbc
-!!       namsbc_clio   CLIO bulk formulea formulation of sbc
-!!       namsbc_cpl    CouPLed            formulation of sbc
-!!       namsbc_ssr    sea surface restoring term (for T and/or S)
-!!======================================================================
-!-----------------------------------------------------------------------
-!       namsbc       Surface Boundary Condition (surface module)
-!-----------------------------------------------------------------------
-!  nn_fsbc          frequency of surface boundary condition computation 
-!                   (also correspond to the frequency of sea-ice model call)
-!
-!  ln_ana        analytical formulation (fill namsbc_ana ) 
-!  ln_flx        flux formulation       (fill namsbc_flx ) (overwritten by key_sbc_flux     )
-!  ln_blk_clio   CLIO bulk formulation  (fill namsbc_core) (overwritten by key_sbc_bulk_clio)
-!  ln_blk_core   CORE bulk formulation  (fill namsbc_clio) (overwritten by key_sbc_bulk_core)
-!  ln_cpl        Coupled formulation    (fill namsbc_cpl ) (overwritten by key_sbc_coupled  )
-!
-!  nn_ice        =0 no ice boundary condition   ,
-!                =1 observed ice-cover          ,
-!                =2 ice-model ice-cover (overwritten by key_ice_lim)
-!
-!  ln_dm2dc     Daily mean to Diurnal Cycle short wave (qsr)
-!
-!  ln_ssr       Sea Surface restoring on SST and/or SSS (fill namsbc_ssr)
-!               (overwritten by key_dta_sst and/or key_dtasss)
-!
-!  nn_fwb       FreshWater Budget: =0 no control                              , 
-!                                  =1 annual global mean of emp set to zero   ,
-!                                  =2 global mean of emp set to zero at each nn_fsbc time step
-&namsbc
-   nn_fsbc     = 0
-   ln_ana      = .true.
-   ln_flx      = .false.
-   ln_blk_clio = .false.
-   ln_blk_core = .false.
-   ln_cpl      = .false.
-   nn_ice      = 0
-   ln_dm2dc    = .false.
-   ln_rnf      = .false.
-   ln_ssr      = .false.
-   nn_fwb      = 0
-/
-!-----------------------------------------------------------------------
-!       namsbc_rnf   runoffs namelist surface boundary condition
-!-----------------------------------------------------------------------
-!nn_runoff   =0 no, 1 runoff, 2 runoff+river mouth ups adv
-!rn_hrnf     runoffs, depth over which enhanced vertical mixing is used
-!rn_avt_rnf  runoffs, value of the additional vertical mixing coef. [m2/s]
-!cn_dir      Root directory for location of ssr files
-!sn_rnf      informations about the runoff file to be read
-!sn_cnf      informations about the runoff mouth file to be read
-!  THE ORDER OF THE FILES MATTER:
-!               !   file name        ! frequency (hours) ! variable   ! time interpolation !
-!               !                    !   (if <0  months) !   name     !     (logical)      !
-&namsbc_rnf
-   nn_runoff  = 0
-   rn_hrnf    = 0.e0
-   rn_avt_rnf = 1.e-3
-   cn_dir     = './'
-   sn_rnf     = 'runoff_1m_nomask.nc' ,      -12.        ,  'sorunoff',    .TRUE.   ,  1  ,  0     
-   sn_cnf     = 'runoff_1m_nomask.nc' ,        0.        ,  'socoefr' ,    .FALSE.  ,  1  ,  0              
-/
-!-----------------------------------------------------------------------
-!       namsbc_ana   analytical surface boundary condition
-!-----------------------------------------------------------------------
-!  nn_tau000   gently increase the stress over the first ntau_rst time-steps
-!  rn_utau0    uniform value used as default wind stress -u
-!  rn_vtau0    uniform value used as default wind stress -v
-!  rn_q0       uniform value used as default surface heat flux
-!  rn_qsr0     uniform value used as default solar radiation flux
-!  rn_emp0     uniform value used as default surface freswater budget (E-P)
-&namsbc_ana
-   nn_tau000  =   100
-   rn_utau0   =   0.1e0
-   rn_vtau0   =   0.e0
-   rn_q0      =   0.e0
-   rn_qsr0    =   0.e0
-   rn_emp0    =   0.e0
-/
-!-----------------------------------------------------------------------
-!       namsbc_flx   surface boundary condition : flux formulation (#ifdef "key_sbc_flux")
-!-----------------------------------------------------------------------
-!  cn_dir   directory in which the model is executed
-!
-!  THE ORDER OF THE FILES MATTER:
-!               !      file name     ! frequency (hours) ! variable ! time intepolation !  clim  ! starting !
-!               !                    !   (if <0  months) !   name   !    (logical)      !  (0/1) !  record  !
-&namsbc_flx
-   cn_dir       = './'
-   sn_utau      =      'utau.nc'     ,        24.        ,  'utau'  ,     .FALSE.       ,    0   ,     0
-   sn_vtau      =      'vtau.nc'     ,        24.        ,  'vtau'  ,     .FALSE.       ,    0   ,     0
-   sn_qtot      =      'qtot.nc'     ,        24.        ,  'qtot'  ,     .FALSE.       ,    0   ,     0
-   sn_qsr       =      'qsr.nc'      ,        24.        ,  'qsr'   ,     .FALSE.       ,    0   ,     0
-   sn_emp       =      'emp.nc'      ,        24.        ,  'emp'   ,     .FALSE.       ,    0   ,     0
-
-/      
-!-----------------------------------------------------------------------
-!       namsbc_clio  CLIO bulk formulea
-!-----------------------------------------------------------------------
-!  cn_dir   directory in which the model is executed
-!
-!  THE ORDER OF THE FILES MATTER:
-!               !   file name        ! frequency (hours) ! variable   ! time intepolation !  clim  ! starting !
-!               !                    !   (if <0  months) !   name     !    (logical)      !  (0/1) !  record  !
-&namsbc_clio
-   cn_dir       = './'
-   sn_utau      =    'taux_1m'    ,      -12.         ,  'sozotaux',    .FALSE.        ,    1   ,    0    
-   sn_vtau      =    'tauy_1m'    ,      -12.         ,  'sometauy',    .FALSE.        ,    1   ,    0    
-   sn_wndm      =    'flx'        ,      -12.         ,  'socliowi',    .FALSE.        ,    1   ,    0      
-   sn_tair      =    'flx'        ,      -12.         ,  'socliot1',    .FALSE.        ,    1   ,    0     
-   sn_humi      =    'flx'        ,      -12.         ,  'socliohu',    .FALSE.        ,    1   ,    0    
-   sn_ccov      =    'flx'        ,      -12.         ,  'socliocl',    .FALSE.        ,    1   ,    0      
-   sn_prec      =    'flx'        ,      -12.         ,  'socliopl',    .FALSE.        ,    1   ,    0       
-/
-!-----------------------------------------------------------------------
-!       namsbc_core  CORE bulk formulea
-!-----------------------------------------------------------------------
-!  cn_dir         directory in which the model is executed
-!  ln_2m          logical flag to use air temp. and hum referenced at 2m instead 10m
-!  alpha_precip   multiplication factor for precipitation (total & snow)
-!
-!  THE ORDER OF THE FILES MATTER:
-!               !   file name        ! frequency (hours) ! variable   ! time intepolation !  clim  ! starting !
-!               !                    !   (if <0  months) !   name     !    (logical)      !  (0/1) !  record  !
-&namsbc_core
-   cn_dir       = './'
-   ln_2m        = .FALSE.
-   alpha_precip = 1.
-   sn_wndi      =    'u10'        ,       24.         ,  'U_10_MOD',    .FALSE.        ,    1   ,    0    
-   sn_wndj      =    'v10'        ,       24.         ,  'V_10_MOD',    .FALSE.        ,    1   ,    0    
-   sn_qsr       =    'rad'        ,       24.         ,  'SWDN_MOD',    .FALSE.        ,    1   ,    0      
-   sn_qlw       =    'rad'        ,       24.         ,  'LWDN_MOD',    .FALSE.        ,    1   ,    0      
-   sn_tair      =    't10'        ,       24.         ,  'T_10_MOD',    .FALSE.        ,    1   ,    0     
-   sn_humi      =    'q10'        ,       24.         ,  'Q_10_MOD',    .FALSE.        ,    1   ,    0    
-   sn_prec      =    'precip'     ,      -12.         ,  'RAIN'    ,    .FALSE.        ,    1   ,    0      
-   sn_snow      =    'precip'     ,      -12.         ,  'SNOW'    ,    .FALSE.        ,    1   ,    0       
-/
-!-----------------------------------------------------------------------
-!       namsbc_cpl    coupled ocean/atmosphere model  (#ifdef "key_coupled")
-!-----------------------------------------------------------------------
-&namsbc_cpl
-/
-!-----------------------------------------------------------------------
-!       namsbc_ssr   surface boundary condition : sea surface restoring
-!-----------------------------------------------------------------------
-!  nn_sstr   =0/1   add a retroaction term in the surface heat flux
-!  nn_sssr   =O/1/2 add a damping term in the surface freshwater flux
-!             (=1, salt flux, concentration/dillution emps only)
-!             (=2, volume flux, both emp and emps are updated) 
-!  dqdt       magnitude of the retroaction on temperature [W/m2/K]
-!  deds       magnitude of the damping on salinity [mm/day]
-!  THE ORDER OF THE FILES MATTER:
-!               !   file name     ! frequency (hours) ! variable ! time intepolation !  clim  ! starting !
-!               !                 !   (if <0  months) !   name   !    (logical)      !  (0/1) !  record  !
-&namsbc_ssr
-   nn_sstr      = 0
-   nn_sssr      = 0
-   dqdt         = -40.
-   deds         =  27.7
-   sn_sst       =  'sst_data.nc'  ,         24.       ,  'sst'   ,     .FALSE.       ,    0   ,     0
-   sn_sss       =  'sss_data.nc'  ,        -12.       ,  'sss'   ,     .TRUE.        ,    0   ,     0
-/      
+!-----------------------------------------------------------------------
+!       namptr   Poleward Transport Diagnostic
+!-----------------------------------------------------------------------
+!  ln_diaptr  logical flag for Poleward transport computation
+!  ln_subbas  logical flag for Atlantic/Pacific/Indian basins computation
+!             need input basins mask file named "subbasins.nc"
+!  nf_ptr     Frequency of computation
+&namptr
+   ln_diaptr = .false.
+   ln_subbas = .false.
+   nf_ptr    =  15
+/
